%global git_date  20250519
%global git_hash  20a1e508
%global git_ver  2.2.1
%global rel  1
%global src_name  %{name}-%{git_date}-%{git_hash}.tar.xz

Name:          lxqt-panel
Summary:       Main panel bar for LXQt desktop suite
Version:       %{git_ver}^%{git_date}g%{git_hash}
Release:       %{rel}%{?dist}
License:       LGPL-2.1-or-later
URL:           https://github.com/lxqt/lxqt-panel
Source0:       %{url}/%{src_name}

BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: pkgconfig(Qt6Xdg)
BuildRequires: pkgconfig(lxqt)
BuildRequires: pkgconfig(lxqt-globalkeys)
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(xcb-damage)
BuildRequires: pkgconfig(xcb-xkb)
BuildRequires: pkgconfig(xcb-util)
BuildRequires: pkgconfig(xkbcommon)
BuildRequires: pkgconfig(xkbcommon-x11)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(libstatgrab)
BuildRequires: pkgconfig(libpulse)
BuildRequires: pkgconfig(libmenu-cache)
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(xcomposite)
BuildRequires: pkgconfig(sysstat-qt6)
BuildRequires: cmake(lxqt2-build-tools)
BuildRequires: cmake(Qt6DBus)
BuildRequires: cmake(Qt6LinguistTools)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(Qt6Xml)
BuildRequires: cmake(KF6WindowSystem)
BuildRequires: cmake(KF6Solid)
BuildRequires: pkgconfig(dbusmenu-lxqt)
BuildRequires: desktop-file-utils
BuildRequires: lm_sensors-devel
BuildRequires: libXdamage-devel
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: cmake(LayerShellQt)
BuildRequires: pkgconfig(xtst)
BuildRequires: xcb-util-image-devel
BuildRequires: lxqt-menu-data
BuildRequires: perl
BuildRequires: qt6-qtwayland-devel
BuildRequires: cmake(Qt6WaylandClient)
BuildRequires: wayland-devel
BuildRequires: qt6-qtbase-private-devel
Requires: lxqt-menu-data

#Requires: xscreensaver-base
Requires: lxmenu-data

%description
%{summary}.

%package devel
Summary:  Developer files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
%{summary}.

%package l10n
BuildArch:      noarch
Summary:        Translations for lxqt-panel
Requires:       lxqt-panel
%description l10n
This package provides translations for the lxqt-panel package.

%prep
%autosetup -n %{name}

%build
%cmake
%cmake_build

%install
%cmake_install

for desktop in %{buildroot}/%{_datadir}/lxqt/lxqt-panel/*.desktop; do
    # Exclude category as been Service 
    desktop-file-edit --remove-category=LXQt --remove-only-show-in=LXQt --add-only-show-in=X-LXQt ${desktop}
done

%find_lang lxqt-panel --with-qt
%find_lang cpuload --with-qt
%find_lang desktopswitch --with-qt
%find_lang directorymenu --with-qt
%find_lang mainmenu --with-qt
%find_lang mount --with-qt
%find_lang networkmonitor --with-qt
%find_lang quicklaunch --with-qt
%find_lang sensors --with-qt
%find_lang showdesktop --with-qt
%find_lang spacer --with-qt
%find_lang statusnotifier --with-qt
%find_lang sysstat --with-qt
%find_lang taskbar --with-qt
%find_lang volume --with-qt
%find_lang worldclock --with-qt

%files
%{_bindir}/lxqt-panel
%dir %{_libdir}/lxqt-panel
%{_libdir}/lxqt-panel/*.so
%{_libdir}/lxqt-panel/backend/*.so
%{_datadir}/lxqt
%{_mandir}/man1/lxqt-panel*
%{_sysconfdir}/xdg/autostart/lxqt-panel.desktop
%{_datadir}/applications/lxqt-panel.desktop

%files devel
%dir %{_includedir}/lxqt
%{_includedir}/lxqt/*

%files l10n -f lxqt-panel.lang -f cpuload.lang -f desktopswitch.lang -f directorymenu.lang  -f mainmenu.lang -f mount.lang -f networkmonitor.lang -f quicklaunch.lang -f sensors.lang -f showdesktop.lang -f spacer.lang -f statusnotifier.lang -f sysstat.lang -f taskbar.lang -f volume.lang -f worldclock.lang
%license LICENSE
%doc AUTHORS CHANGELOG README.md
%dir %{_datadir}/lxqt/translations/lxqt-panel

%changelog
%autochangelog
